Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.state.accessors.portlet
Interface LegacyPortletTargetAccessorController

Deprecated. because the legacy API is deprecated

    @Deprecated
    public interface LegacyPortletTargetAccessorController

Interface providing write accessor methods for legacy (4.x) portlets which allow for including a portlet action into the state holder. It extends the functionality provided by the `PortletTargetAccessorController` which in turn is also suitable for standard portlets.
In particular, this controller allows to set an action reference to identify the action to be executed as well as the requested portlet mode and window state.

Since:
  5.1

Field Summary
`static java.lang.String` | `SIMPLE_ACTION_NAMESPACE` Deprecated. prefix for action references that point to simple actions

Method Summary
`java.util.Map<java.lang.String,java.lang.String[]>` | `getParameters()` Deprecated. Returns an unmodifiable and potentially empty map of target parameters as there is no concept of target parameters for IBM portlet API portlets (aka legacy portlets).
`void` | `setActionReference(java.lang.String actionReference)` Deprecated. Sets the action reference given by the portlet.
`void` | `setRequestedMode(PortletMode mode)` Deprecated. Sets the portlet mode which was requested by the portlet action.
`void` | `setRequestedState(WindowState state)` Deprecated. Sets the window state which was requested by the portlet action.
`void` | `setResourceID(java.lang.String resourceID)` Deprecated. This method is only applicable for JSR 286 portlets.
`void` | `setTarget(TargetType targetType, ObjectID id)` Deprecated. Declares the target with the given `ObjectID` as the target of the link(s) that encode the state document this accessor operates on.
`void` | `setTarget(TargetType targetType, java.lang.String uniqueName)` Deprecated. Declares the target with the given unique name as the target of the link(s) that encode the state document this accessor operates on.

Field Detail

### SIMPLE_ACTION_NAMESPACE

    static final java.lang.String SIMPLE_ACTION_NAMESPACE

  Deprecated.
  prefix for action references that point to simple actions

Method Detail

### setActionReference

    void setActionReference(java.lang.String actionReference)

  Deprecated.

  Sets the action reference given by the portlet. The action reference identifies the action that should be executed. If the action reference references a simple action, then the actionReference needs to start with the `SIMPLE_ACTION_NAMESPACE` prefix. If the action reference references a portlet action, then the caller must make sure to properly initialize the portlet session.

  Parameters:
    `actionReference` - A portlet action reference (must not be `null`).

### setRequestedMode

    void setRequestedMode(PortletMode mode)

  Deprecated.
  Sets the portlet mode which was requested by the portlet action.

  Parameters:
    `mode` - The requested mode (must not be `null`).

### setRequestedState

    void setRequestedState(WindowState state)

  Deprecated.
  Sets the window state which was requested by the portlet action.

  Parameters:
    `state` - The requested window state (must not be `null`).

### setTarget

    void setTarget(TargetType targetType,
                   ObjectID id)

  Deprecated.
  Declares the target with the given `ObjectID` as the target of the link(s) that encode the state document this accessor operates on. The resulting link will be a link matching the given `TargetTarget`.

  Parameters:
    `targetType` - The type of the target. Must not be `null`. Only the following target types are supported for legacy portlets:
    - `TargetType#PORTLET_ACTION`
    - `TargetType#PORTLET_RENDER`
    `id` - The `ObjectID` of the target.
  See Also:
    `PortletTargetAccessorController#setTarget(TargetType, ObjectID)`

### setTarget

    void setTarget(TargetType targetType,
                   java.lang.String uniqueName)
                   throws MissingUniqueNameException,
                          UnknownUniqueNameException

  Deprecated.
  Declares the target with the given unique name as the target of the link(s) that encode the state document this accessor operates on. The resulting link will be a link matching the given `TargetTarget`.

  Parameters:
    `targetType` - The type of the target. Must not be `null`. Only the following target types are supported for legacy portlets:
    - `TargetType#PORTLET_ACTION`
    - `TargetType#PORTLET_RENDER`
    `uniqueName` - `String` representing the unique name of the target. Must not be `null`.
  Throws:
    `MissingUniqueNameException`
    `UnknownUniqueNameException`
  See Also:
    `PortletTargetAccessorController#setTarget(TargetType, String)`

### setResourceID

    void setResourceID(java.lang.String resourceID)
                       throws java.lang.UnsupportedOperationException

  Deprecated.
  This method is only applicable for JSR 286 portlets. Every call will lead to a `java.lang.UnsupportedOperationException`

  Throws:
    `java.lang.UnsupportedOperationException` - Every time this method is called.

### getParameters

    java.util.Map<java.lang.String,java.lang.String[]> getParameters()

  Deprecated.
  Returns an unmodifiable and potentially empty map of target parameters as there is no concept of target parameters for IBM portlet API portlets (aka legacy portlets).

  Returns:
    An unmodifiable and potentially empty map, Not `null`.
  Since:
    6.1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD